import React from 'react';
import PropTypes from 'prop-types';
import Form from 'react-bootstrap/Form';
const FileSelect = ({ options, name, onChange, title }) => {
    if (options.length > 0) {
        return (
            <div>
                <Form.Select
                    aria-label="select table entries per page"
                    name={name}
                    id={name}
                    className={name}
                    onChange={onChange}
		    title={title}
                >
                    {options.map((item, index) => (
                        <option key={index} value={item}>
                            {item}
                        </option>
                    ))}
                </Form.Select>
            </div>
        );
    } else {
        return (
            <div>
                <p>Loading...</p>
            </div>
        );
    }
};

export default FileSelect;

FileSelect.propTypes = {
    name: PropTypes.string,
    onChange: PropTypes.func,
    title: PropTypes.string,
    options: PropTypes.array
};
